version: "3.7"

networks:
  proxy:
    name: "proxy"

services:
  traefik:
    image: traefik:2.10.7
    container_name: traefik
    ports:
      - 80:80
      - 443:443
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ./traefik.toml:/traefik.toml
      - ./traefik_dynamic.toml:/traefik_dynamic.toml
      - /DATA/docker/services/certs:/certs
    environment:
      TZ: Europe/Paris
    networks:
      - proxy
    restart: unless-stopped
